clang 10.0.0git

Public Attributes | List of all members
clang::transformer::RewriteRule::Case Struct Reference

`#include "clang/Tooling/Transformer/RewriteRule.h"`

Collaboration diagram for clang::transformer::RewriteRule::Case:
[legend]

## Public Attributes
ast_matchers::internal::DynTypedMatcher | Matcher
SmallVector< ASTEdit, 1 > | Edits
TextGenerator | Explanation
std::vector< std::pair< std::string, IncludeFormat > > | AddedIncludes

## Detailed Description

Definition at line 107 of file RewriteRule.h.

## Member Data Documentation

## ◆ AddedIncludes

std::vector<std::pair<std::string, IncludeFormat> > clang::transformer::RewriteRule::Case::AddedIncludes

Definition at line 114 of file RewriteRule.h.

Referenced by clang::tooling::Transformer::run().

## ◆ Edits

SmallVector<ASTEdit, 1> clang::transformer::RewriteRule::Case::Edits

Definition at line 109 of file RewriteRule.h.

Referenced by clang::tooling::Transformer::run().

## ◆ Explanation

TextGenerator clang::transformer::RewriteRule::Case::Explanation

Definition at line 110 of file RewriteRule.h.

## ◆ Matcher

ast_matchers::internal::DynTypedMatcher clang::transformer::RewriteRule::Case::Matcher

Definition at line 108 of file RewriteRule.h.

The documentation for this struct was generated from the following file:

- include/clang/Tooling/Transformer/RewriteRule.h